Subject: [xml2rfc] draft-rfc-editor-rfc2223bis-00
From: [email-masked] (Marshall Rose)
Date: Tue, 26 Feb 2002 23:17:31 -0800

This is a multi-part message in MIME format.

--Multipart_Tue__26_Feb_2002_23:17:31_-0800_082fae00
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit

hi. the rfc editor has a new I-D out which will eventually replace RFC 2223 (the thing that defines the format of RFC memos).

there are a couple of minor incompatibilities between the new I-D and what xml2rfc does. i may be able to address them all without changing the DTD; however, i suspect that i may extend the DTD slightly to fix things. the disadvantage of this approach is that it will be possible to use xml2rfc to produce stuff that the rfc editor doesn't like. if i go down that road, then i'll add a "<?rfc strict='yes'?>" PI that will warn as appropriate.

however, since the I-D in question is at -00, i'm going to wait to see how it evolves before coding the changes necessary to be 100% compatible...

any questions, feel free to ask.

thanks,

/mtr

--Multipart_Tue__26_Feb_2002_23:17:31_-0800_082fae00
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Delivery-Date: Mon, 25 Feb 2002 10:59:51 -0800
To: IETF-Announce: ;
From: [email-masked]
Reply-to: [email-masked]
Subject: I-D ACTION:draft-rfc-editor-rfc2223bis-00.txt
Date: Mon, 25 Feb 2002 06:24:47 -0500
Sender: [email-masked]

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title		: Instructions to Request for Comments (RFC) Authors
	Author(s)	: J. Reynolds, B. Braden
	Filename	: draft-rfc-editor-rfc2223bis-00.txt
	Pages		: 30
	Date		: 22-Feb-02
	
This memo provides instructions for authors of Request for Comments
(RFC) documents, including formatting requirements and editorial
policies.  This document addresses frequently asked questions, and
serves as a guideline for constructing a properly formatted RFC.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-rfc-editor-rfc2223bis-00.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-rfc-editor-rfc2223bis-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-rfc-editor-rfc2223bis-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type: Message/External-body;
	access-type="mail-server";
	server="[email-masked]"

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-rfc-editor-rfc2223bis-00.txt

--OtherAccess
Content-Type: Message/External-body;
	name="draft-rfc-editor-rfc2223bis-00.txt";
	site="ftp.ietf.org";
	access-type="anon-ftp";
	directory="internet-drafts"

Content-Type: text/plain
Content-ID:	<[email-masked]>

--OtherAccess--

--NextPart--

--Multipart_Tue__26_Feb_2002_23:17:31_-0800_082fae00--

From: [email-masked] (Marshall Rose)
Date: Tue, 26 Feb 2002 09:15:12 -0800
Subject: [xml2rfc] help with references details
In-Reply-To: <4.2.0.58.J.20020227001621.02f904a8@localhost>
References: <4.2.0.58.J.20020227001621.02f904a8@localhost>
Message-ID: <[email-masked]>

> Dear XML2RFC specialists,
> 
> 
> I had something like:
> 
> [CharMod] M. Duerst, F. Yergeau et al., Ed., "Character Model for the
>    World Wide Web", <http://www.w3.org/TR/charmod>, work in progress.
> 
> 
> I'm currently getting:
> 
>     [2]  Duerst, M., Yergeau, F., Ishida, R., Wold, M., Freytag, A. and
>          T. Texin, "Character Model for the World Wide Web", February
>          2002, <http://www.w3.org/TR/charmod>.
> 
> 
> from markup like:
> 
> <reference anchor="CharMod" target='http://www.w3.org/TR/charmod'>
> <front>
> <title>Character Model for the World Wide Web</title>
> <author initials="M." surname="Duerst" fullname="Martin 
> Duerst"><organization/></author>
> <author initials="F." surname="Yergeau" fullname="Francois 
> Yergeau"><organization/></author>
> <author initials="R." surname="Ishida" fullname="Richard 
> Ishida"><organization/></author>
> <author initials="M." surname="Wold" fullname="Misha 
> Wolf"><organization/></author>
> <author initials="A." surname="Freytag" fullname="Asmus 
> Freytag"><organization/></author>
> <author initials="T." surname="Texin" fullname="Tex 
> Texin"><organization/></author>
> <date year="2002" month="February" day="20"/>
> <note title=""><t>World Wide Web Consortium Working Draft</t></note>
> </front>
> </reference>
> 
> 
> The 'note' part seems to be ignored. How can I make some remark
> or something like that to show up after the title? Do I have to
> squeeze everything into the title? That would look bad because of
> the quotes. Any help?

1. add
	<?rfc symrefs='yes' ?>

to the beginning of your file. you might also want to set

	<?rfc sortrefs='yes' ?>

2. replace the <note/> with

	<seriesInfo name='...' value='...' />

however, the seriesInfo goes after the </front>, not before.

/mtr

From: [email-masked] (Martin Duerst)
Date: Wed, 27 Feb 2002 02:00:27 +0900
Subject: [xml2rfc] help with references details
Message-ID: <4.2.0.58.J.20020227001621.02f904a8@localhost>

Dear XML2RFC specialists,

I had something like:

[CharMod] M. Duerst, F. Yergeau et al., Ed., "Character Model for the
   World Wide Web", <http://www.w3.org/TR/charmod>, work in progress.

I'm currently getting:

    [2]  Duerst, M., Yergeau, F., Ishida, R., Wold, M., Freytag, A. and
         T. Texin, "Character Model for the World Wide Web", February
         2002, <http://www.w3.org/TR/charmod>.

from markup like:

<reference anchor="CharMod" target='http://www.w3.org/TR/charmod'>
<front>
<title>Character Model for the World Wide Web</title>
<author initials="M." surname="Duerst" fullname="Martin 
Duerst"><organization/></author>
<author initials="F." surname="Yergeau" fullname="Francois 
Yergeau"><organization/></author>
<author initials="R." surname="Ishida" fullname="Richard 
Ishida"><organization/></author>
<author initials="M." surname="Wold" fullname="Misha 
Wolf"><organization/></author>
<author initials="A." surname="Freytag" fullname="Asmus 
Freytag"><organization/></author>
<author initials="T." surname="Texin" fullname="Tex 
Texin"><organization/></author>
<date year="2002" month="February" day="20"/>
<note title=""><t>World Wide Web Consortium Working Draft</t></note>
</front>
</reference>

The 'note' part seems to be ignored. How can I make some remark
or something like that to show up after the title? Do I have to
squeeze everything into the title? That would look bad because of
the quotes. Any help?

Regards,    Martin.

From: [email-masked] (Marshall Rose)
Date: Fri, 22 Feb 2002 20:44:55 -0800
Subject: [xml2rfc] Re: doing a port of xml2rfc for freebsd
In-Reply-To: <131780000.1014435606@localhost>
References: <05cc01c18a7c$f36d02f0$fe0aa840@FATORA> <131780000.1014435606@localhost>
Message-ID: <[email-masked]>

> I have a few questions:
> - where do I copy the xml2rfc.tcl file, so that users will continue to use 
> source xml2rfc.tcl without absolute path? in /usr/local/lib/tcl8.3? 
> (doesn't seem to work)?

there is no "default source" directory in tcl, so what i would do is this:

1. put xml2rfc.tcl in the "standard 3rd-party bin/ directory", e.g.,
/usr/local/bin, and chmod a+rx.

2. in that same directory make links called xml2txt, xml2nr, and xml2html.

> - aside of TclXML tgz, which files have to be installed and where?

you need tcl installed. you need to put TclXML1.1.1 in one of tcl's
lib/ directories (you can use the "set auto_path" command listed in the
README to find this out).
    
the only problem with this is that apparently the newer Tcl releases
come with an incompatible sgml library. what i will do this weekend is
modify TclXML1.1.1 to use a different package name so you can have both
installed...

 
> BTW, suggestions for the readme:
> - readme says TclXML1.1 directory. Should be TclXML1.11.
> - readme does not explain where to put xml2rfc.tcl file.
> - readme does not explain if we need and why xml2sgml.tcl

thanks!

/mtr

From: [email-masked] (Marc Blanchet)
Date: Fri, 22 Feb 2002 22:40:06 -0500
Subject: [xml2rfc] doing a port of xml2rfc for freebsd
In-Reply-To: <05cc01c18a7c$f36d02f0$fe0aa840@FATORA>
References: <05cc01c18a7c$f36d02f0$fe0aa840@FATORA>
Message-ID: <131780000.1014435606@localhost>

Marshall (and others),
 I'm trying to make a port of xml2rfc for freebsd in order to include it in 
future versions of freebsd. This would completly automate the installation 
of xml2rfc for the freebsd platform. When the port is finished and work 
well, I'll submit it to the freebsd ports committers for consideration of 
including it in the -current.

I'm a perl programmer, and no about nothing about tcl, sorry if basic 
questions.

I have a few questions:
- where do I copy the xml2rfc.tcl file, so that users will continue to use 
source xml2rfc.tcl without absolute path? in /usr/local/lib/tcl8.3? 
(doesn't seem to work)?
- aside of TclXML tgz, which files have to be installed and where?

BTW, suggestions for the readme:
- readme says TclXML1.1 directory. Should be TclXML1.11.
- readme does not explain where to put xml2rfc.tcl file.
- readme does not explain if we need and why xml2sgml.tcl

Marc.

------------------------------------------
Marc Blanchet
Viagénie
tel: +1-418-656-9254x225

------------------------------------------
http://www.freenet6.net: IPv6 connectivity
------------------------------------------
http://www.normos.org: IETF(RFC,draft),
  IANA,W3C,... standards.
------------------------------------------

From: [email-masked] (Marshall Rose)
Date: Tue, 19 Feb 2002 11:14:42 -0800
Subject: [xml2rfc] multiple email addresses in an author section?
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> I can understand how multiple affiliations might be a huge issue (and
> frankly not a feature I could imagine needing). But the ability to 
> specify multiple email addresses comes up a lot...

well, we disagree. compared to other requests that come up on this list, it doesn't seem to be a big issue.

/mtr

From: Michael Mealling <[email-masked]> (Michael Mealling)
Date: Tue, 19 Feb 2002 14:05:51 -0500
Subject: [xml2rfc] multiple email addresses in an author section?
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

On Tue, Feb 19, 2002 at 10:53:46AM -0800, Marshall Rose wrote:
> > Hi all,
> >   Being a novice at tcl I couldn't figure out how to do this:
> > 
> > Like many of us I have a work email address and a personal address. I would
> > like to start putting both in my author's section so that folks can
> > still get in touch with me after I leave my current employer. How
> > would I go about fixing xml2rfc to allow this? Currently if I put two
> > <email> tags in there it ends up not putting either of them in the output.
> 
> briefly, you can't do this. there are a lot of trade-offs in 2629, most 
> of them center around simplicity. things like multiple affiliations 
> didn't make the cut.

I can understand how multiple affiliations might be a huge issue (and
frankly not a feature I could imagine needing). But the ability to 
specify multiple email addresses comes up a lot...

-MM

-- 
--------------------------------------------------------------------------------
Michael Mealling	|      Vote Libertarian!       | urn:pin:1
[email-masked]      |                              | http://www.neonym.net

From: [email-masked] (Marshall Rose)
Date: Tue, 19 Feb 2002 10:53:46 -0800
Subject: [xml2rfc] multiple email addresses in an author section?
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

> Hi all,
>   Being a novice at tcl I couldn't figure out how to do this:
> 
> Like many of us I have a work email address and a personal address. I would
> like to start putting both in my author's section so that folks can
> still get in touch with me after I leave my current employer. How
> would I go about fixing xml2rfc to allow this? Currently if I put two
> <email> tags in there it ends up not putting either of them in the output.

briefly, you can't do this. there are a lot of trade-offs in 2629, most of them center around simplicity. things like multiple affiliations didn't make the cut.

/mtr

From: Michael Mealling <[email-masked]> (Michael Mealling)
Date: Tue, 19 Feb 2002 12:22:26 -0500
Subject: [xml2rfc] multiple email addresses in an author section?
Message-ID: <[email-masked]>

Hi all,
  Being a novice at tcl I couldn't figure out how to do this:

Like many of us I have a work email address and a personal address. I would
like to start putting both in my author's section so that folks can
still get in touch with me after I leave my current employer. How
would I go about fixing xml2rfc to allow this? Currently if I put two
<email> tags in there it ends up not putting either of them in the output.

I _could_ just do this: 
<email>[email-masked] [email-masked]</email>
but I'm sure the HTML output would freak out...

-MM

-- 
--------------------------------------------------------------------------------
Michael Mealling	|      Vote Libertarian!       | urn:pin:1
[email-masked]      |                              | http://www.neonym.net

From: [email-masked] (Marshall Rose)
Date: Tue, 12 Feb 2002 14:48:56 -0800
Subject: [xml2rfc] proposal for iref enhancements
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> > in order to preserve the current behavior as the default case, 
> > presumably you want this instead
> > 
> > <!ATTLIST iref ...
> > 	  secondary (true|false) "false">
> > 
> > right?
> 
> Correct.

oops, actually, for the default behavior to be the current behavior, that attribute should be called "primary", not "secondary".

/mtr

From: [email-masked] (Julian Reschke)
Date: Tue, 12 Feb 2002 19:58:19 +0100
Subject: [xml2rfc] proposal for iref enhancements
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

> From: Marshall Rose [mailto:[email-masked]]
> Sent: Tuesday, February 12, 2002 7:13 PM
> To: Julian Reschke
> Cc: [email-masked]; [email-masked]
> Subject: Re: [xml2rfc] proposal for iref enhancements
> 
> 
> > I'd like to propose two changes to the <iref> handling.
> > 
> > 1) It would be nice if an iref could be a direct child of a section.
> 
> this is a good idea. (actually, i made a change to the dtd to 
> reflect this last month...)

Great!

> > 2) I'd like to be able to distinguish between a primary 
> reference entry and
> > additional ones.
> > 
> > For instance, I'd use
> > 
> > 	<iref item="PROPFIND" subitem="method" /> (on page 17)
> > 
> > where the PROPFIND method is defined, but
> > 
> > 	<iref item="PROPFIND" subitem="method" secondary="yes" /> 
> (on page 42)
> > 
> > to indicate that this is *also* talking about the PROPFIND 
> method, but it's
> > not where it's defined.
> > 
> > I'd like to display this as:
> > 
> > P
> >   PROPFIND
> >     method *17*, 42
> > 
> > (where ** means bold).
> 
> in order to preserve the current behavior as the default case, 
> presumably you want this instead
> 
> <!ATTLIST iref ...
> 	  secondary (true|false) "false">
> 
> right?

Correct.

From: [email-masked] (Marshall Rose)
Date: Tue, 12 Feb 2002 10:12:39 -0800
Subject: [xml2rfc] proposal for iref enhancements
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> I'd like to propose two changes to the <iref> handling.
> 
> 1) It would be nice if an iref could be a direct child of a section.

this is a good idea. (actually, i made a change to the dtd to reflect this last month...)

> 2) I'd like to be able to distinguish between a primary reference entry and
> additional ones.
> 
> For instance, I'd use
> 
> 	<iref item="PROPFIND" subitem="method" /> (on page 17)
> 
> where the PROPFIND method is defined, but
> 
> 	<iref item="PROPFIND" subitem="method" secondary="yes" /> (on page 42)
> 
> to indicate that this is *also* talking about the PROPFIND method, but it's
> not where it's defined.
> 
> I'd like to display this as:
> 
> P
>   PROPFIND
>     method *17*, 42
> 
> (where ** means bold).

in order to preserve the current behavior as the default case, presumably you want this instead

<!ATTLIST iref ...
	  secondary (true|false) "false">

right?

/mtr

From: [email-masked] (Julian Reschke)
Date: Tue, 12 Feb 2002 09:57:33 +0100
Subject: [xml2rfc] proposal for iref enhancements
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

Hi,

I'd like to propose two changes to the <iref> handling.

1) It would be nice if an iref could be a direct child of a section.

Use case: in the HTML version, I am using the position of the iref in the
document to link back from the generated index to the position in the
document. If an index entry applies to a whole section or sub-section, I
currently have to place the iref element after the start of the first
paragraph. Using this document position as anchor has the result of the
internal document link taking me to the start of the paragraph rather than
the header of the section.

This could be worked around by special-casing <iref>s that appear at the
start of a section's starting paragraph, but I'd prefer a cleaner solution.

2) I'd like to be able to distinguish between a primary reference entry and
additional ones.

For instance, I'd use

	<iref item="PROPFIND" subitem="method" /> (on page 17)

where the PROPFIND method is defined, but

	<iref item="PROPFIND" subitem="method" secondary="yes" /> (on page 42)

to indicate that this is *also* talking about the PROPFIND method, but it's
not where it's defined.

I'd like to display this as:

P
  PROPFIND
    method *17*, 42

(where ** means bold).

Regards,

Julian

From: [email-masked] (Marshall Rose)
Date: Mon, 11 Feb 2002 15:57:01 -0800
Subject: [xml2rfc] can't read "elem()": no such element in array
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

> It turns out I had a <reference/> without a <date/> element. I'm not sure
> if I'd call this a bug, but I figured I'd bring it to the attention of the
> appropriate parties.

thanks. i've updated the service on xml.resource.org to "do the right thing". what sort of surprises me is that instead of seeing that error, the validator (which runs before xml2rfc) should have griped at you...

oh well. the version running on xml.resource.org also has the workgroup change from stephen laas. i'll gen up a new .tgz/.zip in a day or so... (unless someone needs it, right NOW)

/mtr

From: [email-masked] (Peter Saint-Andre)
Date: Sun, 10 Feb 2002 22:36:08 -0600 (CST)
Subject: [xml2rfc] can't read "elem()": no such element in array
Message-ID: <[email-masked]>

I've had great success with the xml2rfc processing script at
http://xml.resource.org/ -- to this point the error messages have always
enabled me to fix problems with my XML. But the following message had me
stumped for a while:

   can't read "elem()": no such element in array
   Context: <rfc ipr="full2026">

It turns out I had a <reference/> without a <date/> element. I'm not sure
if I'd call this a bug, but I figured I'd bring it to the attention of the
appropriate parties.

Peter

--
Peter Saint-Andre
email+jabber: [email-masked]

From: [email-masked] (Marshall Rose)
Date: Sat, 9 Feb 2002 10:23:38 -0800
Subject: [xml2rfc] patch: xml2rfc.tcl v1.10
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

> My Tcl skills are non-existent, but I still hacked a few changes that
> you may or may not want.

you did a fine job.

> To summarize the changes:
> * use the workgroup tag instead of hardcoding Network Working Group

the string "Network Working Group" is traditional from the earliest days of the RFC process. however, since you're the Nth person to ask for this, i'll change xml2rfc so that if it's producing an internet-draft, it will use <workgroup>, if present and non-empty.

> * use "month year" format instead of "month day year" [should be a
> config option??, i expect this will be rejected]

since the day appears only for internet-drafts, i'm confused as to why you don't want this. internet-drafts are transient documents, and it's not uncommon to see several revisions over the space of a short-time, i.e., more than one revision published in a given month...

> * don't put an empty " ," in the reference section if "initials" are
> empty

okay. there was also a tricky bit of logic in the lines immediately following that needs to be changed. but that's easy enough.

i'll put out an updated release on monday.

/mtr

From: [email-masked] (Steven Lass)
Date: Fri, 08 Feb 2002 17:36:32 -0600
Subject: [xml2rfc] patch: xml2rfc.tcl v1.10
Message-ID: <[email-masked]>

My Tcl skills are non-existent, but I still hacked a few changes that
you may or may not want.

To summarize the changes:
* use the workgroup tag instead of hardcoding Network Working Group
* use "month year" format instead of "month day year" [should be a
config option??, i expect this will be rejected]
* don't put an empty " ," in the reference section if "initials" are
empty

-steve

*** xml2rfc.tcl Fri Feb  8 17:18:15 2002
--- xml2rfc.tcl.dist Fri Feb  8 13:56:15 2002
***************
*** 1373,1390 ****
      }
      set title [list $tv(.CTEXT)]

-     set workgrp [find_element workgroup $attrs(.CHILDREN)]
-     if {[string compare $workgrp ""]} {
-  array set wv $elem($workgrp)
-  set workgrp [list  $wv(.CTEXT)]
-  #    set workgrp [string toupper $workgrp 0 0]
-     }
-
      set date [find_element date $attrs(.CHILDREN)]
      array set dv $elem($date)
      if {[catch { set dv(day) }]} {
          set now [clock seconds]
!         set three [clock format $now -format "%B %d"]
          if {(![string compare $dv(month) [lindex $three 0]]) \
                  && (![string compare $dv(year) [lindex $three 1]])} {
              set dv(day) [string trimleft [lindex $three 2] 0]
--- 1373,1383 ----
      }
      set title [list $tv(.CTEXT)]

      set date [find_element date $attrs(.CHILDREN)]
      array set dv $elem($date)
      if {[catch { set dv(day) }]} {
          set now [clock seconds]
!         set three [clock format $now -format "%B %Y %d"]
          if {(![string compare $dv(month) [lindex $three 0]]) \
                  && (![string compare $dv(year) [lindex $three 1]])} {
              set dv(day) [string trimleft [lindex $three 2] 0]
***************
*** 1396,1409 ****

      if {$options(.PRIVATE)} {
          lappend left $options(private)
          set status ""
      } else {
!         if {[string compare $workgrp ""]} {
!      lappend left "$workgrp Working Group"
!  }
! #         else {
! #     lappend left "Network Working Group"
! # }
          if {[string compare $rv(number) ""]} {
              lappend left "Request for Comments: $rv(number)"

--- 1389,1398 ----

      if {$options(.PRIVATE)} {
          lappend left $options(private)
+
          set status ""
      } else {
!         lappend left "Network Working Group"
          if {[string compare $rv(number) ""]} {
              lappend left "Request for Comments: $rv(number)"

***************
*** 1434,1440 ****
              incr secs [expr (182*86400)+43200]
              set day [string trimleft \
                              [clock format $secs -format "%d" -gmt
true] 0]
!             set expires [clock format $secs -format "%B %Y" -gmt true]

              lappend left "Expires: $expires"
              set category "Expires $expires"
              if {![string compare $mode html]} {
--- 1423,1429 ----
              incr secs [expr (182*86400)+43200]
              set day [string trimleft \
                              [clock format $secs -format "%d" -gmt
true] 0]
!             set expires [clock format $secs -format "%B $day, %Y" -gmt
true]
              lappend left "Expires: $expires"
              set category "Expires $expires"
              if {![string compare $mode html]} {
***************
*** 2137,2147 ****
          if {($childA > 1) && ($childA == $childN)} {
              set av(abbrev) "$av(initials) $av(surname)"
          } else {
!      if {[string compare $av(initials) ""]} {
!   set av(abbrev) "$av(surname), $av(initials)"
!      } else {
!   set av(abbrev) "$av(surname)"
!      }
          }
          if {[string length $av(abbrev)] == 2} {
              lappend names [list $ov(.CTEXT) $uref]
--- 2126,2132 ----
          if {($childA > 1) && ($childA == $childN)} {
              set av(abbrev) "$av(initials) $av(surname)"
          } else {
!             set av(abbrev) "$av(surname), $av(initials)"
          }
          if {[string length $av(abbrev)] == 2} {
              lappend names [list $ov(.CTEXT) $uref]

From: [email-masked] ([email-masked])
Date: Thu, 07 Feb 2002 16:43:29 -0800 (PST)
Subject: [xml2rfc] Mathematical formulas and RFC's
In-Reply-To: "Your message dated Thu, 07 Feb 2002 10:03:29 +0100" <6387616.1013076209@localhost>
References: <[email-masked]> <031001c1adcf$98b9e640$0301000a@FATORA> <031001c1adcf$98b9e640$0301000a@FATORA>
Message-ID: <[email-masked]>

> I have a document about crypto in LaTeX which include quite a large amount
> of mathematical formulas.

> Have anyone tried to do such in ASCII-ART, or?

The way I usually do this is to use a symbolic algebra package of some
sort. Most of them have an ASCII formula output facility; some are
quite good at it.

MATHLIB is one such package I have handy although it isn't really intended to
be used this way. For example:

calc> display f 

                                                   -1
                                 x         2
                          sin x x  + (1 + x  + 3 x)

calc> display f{x,x}  

                             2
                     2                           2
         (-2) ((1 + x  + 3 x)  + (3 + 2 x) (1 + x  + 3 x) (-3 - 2 x))
         ------------------------------------------------------------ +
                                             4
                                     2
                               (1 + x  + 3 x)

                  x         x                       x      x     -1 + x
        2 cos x (x  + ln x x ) + sin x (ln x (ln x x  + 2 x ) + x      )

Macsyma, Maple, or Mathematica would probably do a better job.

					Ned

From: [email-masked] (Marshall Rose)
Date: Thu, 7 Feb 2002 16:31:39 -0800
Subject: [xml2rfc] Mathematical formulas and RFC's
In-Reply-To: <6387616.1013076209@localhost>
References: <[email-masked]> <031001c1adcf$98b9e640$0301000a@FATORA> <6387616.1013076209@localhost>
Message-ID: <[email-masked]>

> I have a document about crypto in LaTeX which include quite a large amount
> of mathematical formulas.
> 
> Have anyone tried to do such in ASCII-ART, or?
> 
> Expressing them in plain text, and then include it only in a PS version
> might be difficult in this document.
> 
> Anyone having suggestions?

well, since you said "large", i'd get a latex to text converter and treat it as ascii art...

/mtr

From: [email-masked] (=?ISO-8859-1?Q?Patrik_F=E4ltstr=F6m?=)
Date: Thu, 07 Feb 2002 10:03:29 +0100
Subject: [xml2rfc] Mathematical formulas and RFC's
In-Reply-To: <031001c1adcf$98b9e640$0301000a@FATORA>
References: <[email-masked]> <031001c1adcf$98b9e640$0301000a@FATORA>
Message-ID: <6387616.1013076209@localhost>

I have a document about crypto in LaTeX which include quite a large amount
of mathematical formulas.

Have anyone tried to do such in ASCII-ART, or?

Expressing them in plain text, and then include it only in a PS version
might be difficult in this document.

Anyone having suggestions?

   paf

From: [email-masked] (Marshall T. Rose)
Date: Mon, 4 Feb 2002 14:59:26 -0800
Subject: [xml2rfc] Width of figures
References: <[email-masked]>
Message-ID: <031001c1adcf$98b9e640$0301000a@FATORA>

> when producing fixed-width output (TXT or NROFF), who'se responsibility is
> it to ensure that the width of the contents of <artwork> elements does not
> exceed the maximum line width? Is the "RFC2629 processor" supposed to
> check/ensure this?

for now, the answer is "the author".

/mtr

From: [email-masked] (Julian Reschke)
Date: Mon, 4 Feb 2002 23:38:21 +0100
Subject: [xml2rfc] Width of figures
In-Reply-To: <20020204140740.C1600@SBRIM-W2K>
Message-ID: <[email-masked]>

Marshall,

when producing fixed-width output (TXT or NROFF), who'se responsibility is
it to ensure that the width of the contents of <artwork> elements does not
exceed the maximum line width? Is the "RFC2629 processor" supposed to
check/ensure this?

Julian

From: [email-masked] (Doug Royer)
Date: Mon, 04 Feb 2002 14:28:29 -0700
Subject: [xml2rfc] Does nothing at all. (xml2rfc-1.10)
References: <[email-masked]> <011001c1ad01$14b17030$0301000a@FATORA> <[email-masked]> <01d401c1adaf$5df369c0$0301000a@FATORA> <[email-masked]> <029d01c1adc1$0cc05830$0301000a@FATORA>
Message-ID: <[email-masked]>

This is a multi-part message in MIME format.
--------------4056F9287983EFE148FAB1B9
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

"Marshall T. Rose" wrote:
> 
> >
> > # tclsh
> > % source xml2rfc.tcl
> >   invoke as "xml2rfc   input-file output-file"
> >        or "xml2txt   input-file"
> >        or "xml2html  input-file"
> >        or "xml2nroff input-file"
> >
> > Still not working.
> 
> and what was on the next line? a "% " whic his the prompt from tcl, so you
> can type
> 
>     % xml2txt foo

That works :-) 

I had assumed it meant "source xml2txt input-file" and that failed.

Still no GUI, but that is okay with me.

THANKS!
--------------4056F9287983EFE148FAB1B9
Content-Type: text/x-vcard; charset=us-ascii;
 name="Doug.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Doug Royer
Content-Disposition: attachment;
 filename="Doug.vcf"

begin:vcard 
n:Royer;Doug
tel;pager:[email-masked]
tel;cell:208-520-4044
tel;fax:866-594-8574
tel;work:866-594-8574
x-mozilla-html:FALSE
url:http://Royer.com/People/Doug
org:INET-Consulting LLC <http://INET-Consulting.com
adr:;;;;;;
version:2.1
email;internet:[email-masked]
title:Chief Executive Manager
x-mozilla-cpt:;64
fn:Doug Royer
end:vcard

--------------4056F9287983EFE148FAB1B9--

From: [email-masked] (Marshall T. Rose)
Date: Mon, 4 Feb 2002 13:15:19 -0800
Subject: [xml2rfc] Does nothing at all. (xml2rfc-1.10)
References: <[email-masked]> <011001c1ad01$14b17030$0301000a@FATORA> <[email-masked]> <01d401c1adaf$5df369c0$0301000a@FATORA> <[email-masked]>
Message-ID: <029d01c1adc1$0cc05830$0301000a@FATORA>

>
> # tclsh
> % source xml2rfc.tcl
>   invoke as "xml2rfc   input-file output-file"
>        or "xml2txt   input-file"
>        or "xml2html  input-file"
>        or "xml2nroff input-file"
>
> Still not working.

and what was on the next line? a "% " whic his the prompt from tcl, so you
can type

    % xml2txt foo

/mtr

From: [email-masked] (Doug Royer)
Date: Mon, 04 Feb 2002 13:57:19 -0700
Subject: [xml2rfc] Does nothing at all. (xml2rfc-1.10)
References: <[email-masked]> <011001c1ad01$14b17030$0301000a@FATORA> <[email-masked]> <01d401c1adaf$5df369c0$0301000a@FATORA>
Message-ID: <[email-masked]>

This is a multi-part message in MIME format.
--------------1241BD249B518525D40E444A
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

(resend - I had one or more errors in some of the To fields)

"Marshall T. Rose" wrote:
> 
> > If I run:
> >
> > #  ./xml2rfc.tcl
> >
> > NOTHING happens. I just get my prompt back.
> > No errors, no popup - nothing.
> >
> > How do I debug this?
> 
> err, what platform, os, windowing system, etc.

# uname -a
 Linux red.royer.com 2.4.9-21 #1 Thu Jan 17 14:16:30 EST 2002 i686
unknown

> my guess is that you're on unix, but not running x.

I am running X (And I was running X)

> in that case, the way to run it (according to section 3.2) is:
> 
>     % tclsh
>     % source xml2rfc.tcl

That also does not work:

# tclsh
% source xml2rfc.tcl
  invoke as "xml2rfc   input-file output-file"
       or "xml2txt   input-file"
       or "xml2html  input-file"
       or "xml2nroff input-file"

Still not working.
--------------1241BD249B518525D40E444A
Content-Type: text/x-vcard; charset=us-ascii;
 name="Doug.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Doug Royer
Content-Disposition: attachment;
 filename="Doug.vcf"

begin:vcard 
n:Royer;Doug
tel;pager:[email-masked]
tel;cell:208-520-4044
tel;fax:866-594-8574
tel;work:866-594-8574
x-mozilla-html:FALSE
url:http://Royer.com/People/Doug
org:INET-Consulting LLC <http://INET-Consulting.com
adr:;;;;;;
version:2.1
email;internet:[email-masked]
title:Chief Executive Manager
x-mozilla-cpt:;64
fn:Doug Royer
end:vcard

--------------1241BD249B518525D40E444A--

From: [email-masked] (Scott Brim)
Date: Mon, 4 Feb 2002 15:54:37 -0500
Subject: [xml2rfc] Re: emacs advice
In-Reply-To: <20020204140740.C1600@SBRIM-W2K>; from [email-masked] on Mon, Feb 04, 2002 at 02:07:40PM -0500
References: <20020204140740.C1600@SBRIM-W2K>
Message-ID: <20020204155436.D1600@SBRIM-W2K>

Never mind.  I was behind a couple versions in psgml.

From: [email-masked] (Marshall T. Rose)
Date: Mon, 4 Feb 2002 11:08:44 -0800
Subject: [xml2rfc] Does nothing at all. (xml2rfc-1.10)
References: <[email-masked]> <011001c1ad01$14b17030$0301000a@FATORA> <[email-masked]>
Message-ID: <01d401c1adaf$5df369c0$0301000a@FATORA>

> If I run:
> 
> #  ./xml2rfc.tcl
> 
> NOTHING happens. I just get my prompt back.
> No errors, no popup - nothing.
> 
> How do I debug this?

err, what platform, os, windowing system, etc.

my guess is that you're on unix, but not running x.

in that case, the way to run it (according to section 3.2) is:

    % tclsh
    % source xml2rfc.tcl

/mtr

From: [email-masked] (Scott Brim)
Date: Mon, 4 Feb 2002 14:07:40 -0500
Subject: [xml2rfc] emacs advice
Message-ID: <20020204140740.C1600@SBRIM-W2K>

Since I switched from emacs 20 to emacs 21, psgml can't find the xml2rfc
DTD anymore.  Any help possible?  I have not changed my .emacs, the
psgml.el file, or the document in question.  In my .emacs I have (always
had) ...

  (setq  sgml-system-path '("." "d:\\Xml2rfc"))

I can provide more info if anyone wants to get into it with me.

Thanks ... Scott

From: [email-masked] (Doug Royer)
Date: Mon, 04 Feb 2002 11:36:08 -0700
Subject: [xml2rfc] Does nothing at all. (xml2rfc-1.10)
References: <[email-masked]> <011001c1ad01$14b17030$0301000a@FATORA>
Message-ID: <[email-masked]>

This is a multi-part message in MIME format.
--------------01E4F62394B2666FD8C66CEF
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

If I run:

	#  ./xml2rfc.tcl

NOTHING happens. I just get my prompt back.
No errors, no popup - nothing.

How do I debug this?
--------------01E4F62394B2666FD8C66CEF
Content-Type: text/x-vcard; charset=us-ascii;
 name="Doug.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Doug Royer
Content-Disposition: attachment;
 filename="Doug.vcf"

begin:vcard 
n:Royer;Doug
tel;pager:[email-masked]
tel;cell:208-520-4044
tel;fax:866-594-8574
tel;work:866-594-8574
x-mozilla-html:FALSE
url:http://Royer.com/People/Doug
org:INET-Consulting LLC <http://INET-Consulting.com
adr:;;;;;;
version:2.1
email;internet:[email-masked]
title:Chief Executive Manager
x-mozilla-cpt:;64
fn:Doug Royer
end:vcard

--------------01E4F62394B2666FD8C66CEF--

From: [email-masked] (Marshall T. Rose)
Date: Sun, 3 Feb 2002 14:46:23 -0800
Subject: [xml2rfc] RE: use of figure numbers
References: <[email-masked]>
Message-ID: <015801c1ad04$9b2d5b80$0301000a@FATORA>

> So, how are figures counted? I think if a figure has a number, it should
> have a caption. Otherwise the figure numbers will not appear continuous,
> right?
> 
> So in the XSLT i'm now labelling *and* counting those figures which have
> title and/or anchor, and I produce captions for the same set.
> 
> Does this make sense?

yes.

/mtr

From: [email-masked] (Marshall T. Rose)
Date: Sun, 3 Feb 2002 14:20:50 -0800
Subject: [xml2rfc] xml2rfc.tgz (and .zip) not readable.
References: <[email-masked]>
Message-ID: <011001c1ad01$14b17030$0301000a@FATORA>

> 1.Download xml2rfc as a zip or tgz file, or ...
> 
> I get:
> 
> You don't have permission to access /authoring/xml2rfc.tgz
>         on this server.

my bad - the .htaccess file got edited incorrectly. should be working now.

/mtr

From: [email-masked] (Doug Royer)
Date: Sun, 03 Feb 2002 13:17:52 -0700
Subject: [xml2rfc] xml2rfc.tgz (and .zip) not readable.
Message-ID: <[email-masked]>

This is a multi-part message in MIME format.
--------------033DB13D87F298F77662E51A
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

When I click on:

	1.Download xml2rfc as a zip or tgz file, or ...

I get:

	You don't have permission to access /authoring/xml2rfc.tgz
        on this server.
--------------033DB13D87F298F77662E51A
Content-Type: text/x-vcard; charset=us-ascii;
 name="Doug.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Doug Royer
Content-Disposition: attachment;
 filename="Doug.vcf"

begin:vcard 
n:Royer;Doug
tel;pager:[email-masked]
tel;cell:208-520-4044
tel;fax:866-594-8574
tel;work:866-594-8574
x-mozilla-html:FALSE
url:http://Royer.com/People/Doug
org:INET-Consulting LLC <http://INET-Consulting.com
adr:;;;;;;
version:2.1
email;internet:[email-masked]
title:Chief Executive Manager
x-mozilla-cpt:;64
fn:Doug Royer
end:vcard

--------------033DB13D87F298F77662E51A--

From: [email-masked] (Julian Reschke)
Date: Sun, 3 Feb 2002 17:00:57 +0100
Subject: [xml2rfc] RE: use of figure numbers
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

MTR wrote:

> if the title attribute is non-null, add a couple of blank lines at the
> bottom of the figure and add "Figure XX: title" there.

When I recently tried an implementation in RFC2629.xslt., I cam across the
following issue:

A figure element may have an anchor, indicating that some other part of the
text wants to refer to it. Referral is done by inserting "see figure n".
However, if the figure doesn't have a title attribute, it may have been
created without caption.

So, how are figures counted? I think if a figure has a number, it should
have a caption. Otherwise the figure numbers will not appear continuous,
right?

So in the XSLT i'm now labelling *and* counting those figures which have
title and/or anchor, and I produce captions for the same set.

Does this make sense?

Julian